Subject: bug#34288: Mention how to trigger ':' without filemane

From: Paul Eggert <[email-masked]>
Date: Tue, 22 Sep 2020 11:44:28 -0700

On 1/31/19 3:42 PM, 積丹尼 Dan Jacobson wrote:
> Regarding (info "(grep) Context Line Control")
> 
> To get exactly this great output
> $ seq 33|grep --context=4 --label= --with-filename 5$
> without further tips on the page, the user won't figure it out.
> 
> Even worse, if the input is from a file, not stdin, even I can't figure
> it out.

Unfortunately I don't understand this bug report. I don't know what the "it" is 
that people would want to figure out.

'grep' has a lot of options to control output format (maybe too many options), 
they interact in odd ways, and it would be impractical to describe all their 
interactions. If there's a particular use case that should be in the manual then 
we could do that, but I don't know what that use case would be here.

A specific proposed patch to the manual would make the case more clear.